<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
if (!defined("IN_FUSION") || !checkrights("I")) { header("Location: ../../index.php"); exit; }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."event_calendar_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."event_calendar_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."event_calendar_panel/locale/English.php";
}

// Infusion general information
$inf_title = $locale['Cal100'];
$inf_description = $locale['Cal101'];
$inf_version = "1.10";
$inf_developer = "nick56";
$inf_email = "giuseppe@nichelini.it,white_volg@yahoo.com";
$inf_weburl = "http://www.nichelini.it";

$inf_folder = "event_calendar_panel"; // The folder in which the infusion resides.
$inf_admin_image = "calendar.gif"; // Leave blank to use the default image.
$inf_admin_panel = "event_calendar_admin.php"; // The admin panel filename if required.

$inf_link_name = $locale['Cal102']; // if not required replace $locale['xxx103']; with "";
$inf_link_url = "event_calendar.php"; // The filename you wish to link to.
$inf_link_visibility = "0"; // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.

$inf_newtables = 1; // Number of new db tables to create or drop.
$inf_altertables = 0; // Number of db tables to alter (upgrade).
$inf_deldbrows = 0; // Number of db tables to delete data from.

// Delete any items not required here.
$inf_newtable_[1] = "events (
	idx bigint(20) NOT NULL auto_increment,
	event_titre varchar(255) NOT NULL default '',
	event_texte text NOT NULL,
	event_data date NOT NULL default '0000-00-00',
	event_orario time NOT NULL default '00:00:00',
	event_deleted char(2) NOT NULL default '',
	event_note longtext NOT NULL,
	event_postedby varchar(50) NOT NULL default '',
	event_date_posted date NOT NULL default '0000-00-00',
	PRIMARY KEY  (idx)
) TYPE=MyISAM;";

$inf_droptable_[1] = "events";
?>
