<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------
| Event Calendar Infusion v1.00
|  Giuseppe Nichelini (nick56) 2004
| http://www.nichelini.it
| giuseppe@nichelini.it
---------------------------------------------------*/

require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";

if (!iADMIN || !checkrights("IP") || $userdata['user_rights'] == "" || !defined("iAUTH") || $aid != iAUTH) fallback("../../index.php");
/*if (!checkrights("IP")) fallback("../../index.php");*/

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."event_calendar_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."event_calendar_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."event_calendar_panel/locale/English.php";
}

if (!isset($mod)) {$mod = "";}
	switch($mod)
		{
		case "insert":
			if (isset($Action)) {
				if ($titolo != "" && $testo != "") {
					$data_evento = $anno."-".$mese."-".$giorno;
					$ora_evento = $ora.":".$minuti;
					$titolo = stripinput($titolo);
					$testo = stripinput($testo);
					$note = stripinput($note);
					$result = dbquery("INSERT INTO ".$db_prefix."events VALUES('','$titolo', '$testo', '$data_evento','$ora_evento','NO','$note', '$userdata[user_name]' ,NOW())");
					opentable($locale['Cal115']);
					echo "<center><br />".$locale['Cal121'] ."<br /><br />
					<a href='".FUSION_SELF.$aidlink."'>".$locale['Cal119']."</a><br /><br />
					<a href='".ADMIN."index.php".$aidlink."'>".$locale['Cal120']."</a><br /><br />
					</center>\n";
					closetable();
					tablebreak();
				} else {
					opentable($locale['Cal115']);
					echo "<center><br />".$locale['Cal131'] ."<br /><br />
					</center>\n";
					closetable();
					tablebreak();				
				}
			}
			$data = date("d/m/Y",time());
			$datatmp = explode("/",$data);
			$dd = $datatmp[0];
			$mm = $datatmp[1];
			$yy = $datatmp[2];
			$ora = date("H:i" ,time());
			$oratmp = explode(":",$ora);
			$hh = $oratmp[0];
			$xx = $oratmp[1];
			opentable($locale['Cal116']." - ".$locale['Cal115']);
			echo "<a href='".FUSION_SELF.$aidlink."'>".$locale['Cal119']."</a>\n</td>\n</tr>\n<tr>\n<td class='main-body' width='100%' align='center' valign='top' >\n";
			echo "<form name='inputform' method='post' action='".FUSION_SELF.$aidlink."'>";
			echo "<input type='hidden' name='mod' value=\"".$mod."\">\n";
			echo "<table valign=\"top\" cellpadding='1' cellspacing='1' class='tbl-border' width='100%'>\n";
			echo "<tr><td width='100' class='tbl2'>".$locale['Cal113']."</td><td class='tbl1'><select class='textbox' name=\"giorno\">\n";
			for ($i=1; $i<=31; $i++) { 
				if ($i == $dd) {echo "<option value=\"".$i."\" selected>".$i."</option>\n";}
				else {echo "<option value=\"".$i."\">".$i."</option>\n"; }
				}
			echo "</select>&nbsp;&nbsp;<select class='textbox' name=\"mese\">\n";
			for ($i=1; $i<=12; $i++) {
				if ($i == $mm) {echo "<option value=\"".$i."\" selected>".$i."</option>\n";}
				else {echo "<option value=\"".$i."\">".$i."</option>\n"; }
				}
			echo "</select>&nbsp;&nbsp;<select class='textbox' name=\"anno\">\n";
			for ($i=2004; $i<=2020; $i++) { 
				if ($i == $yy) {echo "<option value=\"".$i."\" selected>".$i."</option>\n";}
				else {echo "<option value=\"".$i."\">".$i."</option>\n"; }
				}
			echo "</select></td></tr>\n";
			echo "<tr><td width='100' class='tbl2'>".$locale['Cal105']."</td><td class='tbl1' valign=\"middle\">\n";
			echo "<select class='textbox' name=\"ora\">\n";
			for ($i=0; $i<=23; $i++) { 
				if ($i == $hh) {echo "<option value=\"".$i."\" selected>".$i."</option>\n";}
				else {echo "<option value=\"".$i."\">".$i."</option>\n"; }
				}
			echo "</select>&nbsp;&nbsp;<select class='textbox' name=\"minuti\">\n";
			for ($i=0; $i<=59; $i++) { 
				if ($i == $xx) {echo "<option value=\"".$i."\" selected>".$i."</option>\n";}
				else {echo "<option value=\"".$i."\">".$i."</option>\n"; }
				}
			echo "</select></td></tr>\n";
			if (!isset($titolo))$titolo="";
			echo "<tr><td width='100' class='tbl2'>".$locale['Cal111']."</td><td class='tbl1'><input type='text' name='titolo' value='$titolo' class='textbox' style='width:250px;'></td></tr>\n";
			if (!isset($testo))$testo="";
			echo "<tr><td valign='top' width='100' class='tbl2'>".$locale['Cal107']."</td><td class='tbl1'><textarea name='testo' cols='95' rows='5' class='textbox'>".$testo."</textarea></td></tr>\n";
			echo "<tr><td class='tbl2'></td><td class='tbl1'>
				<input type='button' value='b' class='button' style='font-weight:bold;width:25px;' onClick=\"addText('testo', '[b]', '[/b]');\">
				<input type='button' value='i' class='button' style='font-style:italic;width:25px;' onClick=\"addText('testo', '[i]', '[/i]');\">
				<input type='button' value='u' class='button' style='text-decoration:underline;width:25px;' onClick=\"addText('testo', '[u]', '[/u]');\">
				<input type='button' value='url' class='button' style='width:30px;' onClick=\"addText('testo', '[url]', '[/url]');\">
				<input type='button' value='mail' class='button' style='width:35px;' onClick=\"addText('testo', '[mail]', '[/mail]');\">
				<input type='button' value='img' class='button' style='width:30px;' onClick=\"addText('testo', '[img]', '[/img]');\">
				<input type='button' value='center' class='button' style='width:45px;' onClick=\"addText('testo', '[center]', '[/center]');\">
				<input type='button' value='small' class='button' style='width:40px;' onClick=\"addText('testo', '[small]', '[/small]');\"><br />
				</td>
				</tr>";
			if (!isset($note))$note="";
			echo "<tr><td valign='top' width='100' class='tbl2'>".$locale['Cal114']."</td><td class='tbl1'><textarea name='note' cols='95' rows='5' class='textbox'>$note</textarea></td></tr>\n";
			echo "<tr><td class='tbl2'></td><td class='tbl1'>
				<input type='button' value='b' class='button' style='font-weight:bold;width:25px;' onClick=\"addText('note', '[b]', '[/b]');\">
				<input type='button' value='i' class='button' style='font-style:italic;width:25px;' onClick=\"addText('note', '[i]', '[/i]');\">
				<input type='button' value='u' class='button' style='text-decoration:underline;width:25px;' onClick=\"addText('note', '[u]', '[/u]');\">
				<input type='button' value='url' class='button' style='width:30px;' onClick=\"addText('note', '[url]', '[/url]');\">
				<input type='button' value='mail' class='button' style='width:35px;' onClick=\"addText('note', '[mail]', '[/mail]');\">
				<input type='button' value='img' class='button' style='width:30px;' onClick=\"addText('note', '[img]', '[/img]');\">
				<input type='button' value='center' class='button' style='width:45px;' onClick=\"addText('note', '[center]', '[/center]');\">
				<input type='button' value='small' class='button' style='width:40px;' onClick=\"addText('note', '[small]', '[/small]');\"><br />
				</td>
				</tr>";
				echo "<tr><td align='center' valign='top' colspan='2' class='tbl1'><input type='submit' name='Action' align='absmiddle' value='".$locale['Cal127']."' class='button'>";
				if (isset($id)) echo "\n<br>\n<br>\n<a href='".FUSION_SELF.$aidlink."&mod=delete&id=".$id."'>".$locale['Cal126']."</a>\n";
				echo "</td></tr>\n";
			echo "</table>";
			closetable();
			break;
		case "edit":
			if (isset($Action)) {
				$data_evento = $anno."-".$mese."-".$giorno;
				$ora_evento = $ora.":".$minuti;
				$titolo = stripinput($titolo);
				$testo = stripinput($testo);
				$note = stripinput($note);
				$result = dbquery("UPDATE ".$db_prefix."events set event_titre='$titolo', event_texte='$testo', event_data='$data_evento', event_orario='$ora_evento', event_deleted='NO', event_note='$note', event_postedby='$userdata[user_name]' , event_date_posted=NOW() WHERE idx='$id'");
				opentable($locale['Cal117']);
				echo "<center><br />".$locale['Cal118']."<br /><br />
				<a href='".FUSION_SELF.$aidlink."'>".$locale['Cal119']."</a><br /><br />
				<a href='".ADMIN."index.php".$aidlink."'>".$locale['Cal120']."</a><br /><br />
				</center>\n";
				closetable();
				tablebreak();
				}
			opentable($locale['Cal116']." - ".$locale['Cal117']);
			$result = dbquery("SELECT * FROM ".$db_prefix."events WHERE idx='$id'");
			if (dbrows($result) != 0) {
				$dati = dbarray($result);
				$tmpdata = explode("-",$dati['event_data']);
				$dd = $tmpdata[2];
				$mm = $tmpdata[1];
				$yy = $tmpdata[0];
				$tmpora = explode(":",$dati['event_orario']);
				$hh = $tmpora[0];
				$xx = $tmpora[1];
				$titre = $dati['event_titre'];
				$testo = $dati['event_texte'];
				$note = $dati['event_note'];
				}
			echo "<a href='".FUSION_SELF.$aidlink."'>".$locale['Cal119']."</a>\n</td>\n</tr>\n<tr>\n<td class='main-body' width='100%' align='center' valign='top' >\n";
			echo "<form name='inputform' method='post' action='".FUSION_SELF.$aidlink."'>";
			echo "<input type=hidden name=mod value=\"".$mod."\">\n";
			echo "<input type=hidden name=id value=\"".$id."\">\n";
			echo "<table valign=\"top\" cellpadding='1' cellspacing='1' class='tbl-border'>\n";
			echo "<tr><td width='100' class='tbl2'>".$locale['Cal113']."</td><td class='tbl1'><select class='textbox' name=\"giorno\">\n";
			for ($i=1; $i<=31; $i++) { 
				if ($i == $dd) {echo "<option value=\"".$i."\" selected>".$i."</option>\n";}
				else {echo "<option value=\"".$i."\">".$i."</option>\n"; }
				}
			echo "</select>&nbsp;&nbsp;<select class='textbox' name=\"mese\">\n";
			for ($i=1; $i<=12; $i++) {
				if ($i == $mm) {echo "<option value=\"".$i."\" selected>".$i."</option>\n";}
				else {echo "<option value=\"".$i."\">".$i."</option>\n"; }
				}
			echo "</select>&nbsp;&nbsp;<select class='textbox' name=\"anno\">\n";
			for ($i=2004; $i<=2020; $i++) { 
				if ($i == $yy) {echo "<option value=\"".$i."\" selected>".$i."</option>\n";}
				else {echo "<option value=\"".$i."\">".$i."</option>\n"; }
				}
			echo "</select></td></tr>\n";
			echo "<tr><td width='100' class='tbl2'>".$locale['Cal105']."</td><td valign=\"middle\" class='tbl1'>\n";
			echo "<select class='textbox' name=\"ora\">\n";
			for ($i=0; $i<=23; $i++) { 
				if ($i == $hh) {echo "<option value=\"".$i."\" selected>".$i."</option>\n";}
				else {echo "<option value=\"".$i."\">".$i."</option>\n"; }
				}
			echo "</select>&nbsp;&nbsp;<select class='textbox' name=\"minuti\">\n";
			for ($i=0; $i<=59; $i++) { 
				if ($i == $xx) {echo "<option value=\"".$i."\" selected>".$i."</option>\n";}
				else {echo "<option value=\"".$i."\">".$i."</option>\n"; }
				}
			echo "</select></td></tr>\n";
			echo "<tr><td width='100' class='tbl2'>".$locale['Cal111']."</td><td class='tbl1'><input type='text' name='titolo' value='$titre' class='textbox' style='width:250px;'></td></tr>\n";
			echo "<tr><td valign='top' width='100' class='tbl2'>".$locale['Cal107']."</td><td class='tbl1'><textarea name='testo' cols='95' rows='5' class='textbox'>$testo</textarea></td></tr>\n";
			echo "<tr><td class='tbl2'>&nbsp;</td><td class='tbl1'>
				<input type='button' value='b' class='button' style='font-weight:bold;width:25px;' onClick=\"addText('testo', '[b]', '[/b]');\">
				<input type='button' value='i' class='button' style='font-style:italic;width:25px;' onClick=\"addText('testo', '[i]', '[/i]');\">
				<input type='button' value='u' class='button' style='text-decoration:underline;width:25px;' onClick=\"addText('testo', '[u]', '[/u]');\">
				<input type='button' value='url' class='button' style='width:30px;' onClick=\"addText('testo', '[url]', '[/url]');\">
				<input type='button' value='mail' class='button' style='width:35px;' onClick=\"addText('testo', '[mail]', '[/mail]');\">
				<input type='button' value='img' class='button' style='width:30px;' onClick=\"addText('testo', '[img]', '[/img]');\">
				<input type='button' value='center' class='button' style='width:45px;' onClick=\"addText('testo', '[center]', '[/center]');\">
				<input type='button' value='small' class='button' style='width:40px;' onClick=\"addText('testo', '[small]', '[/small]');\"><br />
				</td>
				</tr>";
			echo "<tr><td valign='top' width='100' class='tbl2'>".$locale['Cal114']."</td><td class='tbl1'><textarea name='note' cols='95' rows='5' class='textbox'>$note</textarea></td></tr>\n";
			echo "<tr><td class='tbl2'>&nbsp;</td><td class='tbl1'>
				<input type='button' value='b' class='button' style='font-weight:bold;width:25px;' onClick=\"addText('note', '[b]', '[/b]');\">
				<input type='button' value='i' class='button' style='font-style:italic;width:25px;' onClick=\"addText('note', '[i]', '[/i]');\">
				<input type='button' value='u' class='button' style='text-decoration:underline;width:25px;' onClick=\"addText('note', '[u]', '[/u]');\">
				<input type='button' value='url' class='button' style='width:30px;' onClick=\"addText('note', '[url]', '[/url]');\">
				<input type='button' value='mail' class='button' style='width:35px;' onClick=\"addText('note', '[mail]', '[/mail]');\">
				<input type='button' value='img' class='button' style='width:30px;' onClick=\"addText('note', '[img]', '[/img]');\">
				<input type='button' value='center' class='button' style='width:45px;' onClick=\"addText('note', '[center]', '[/center]');\">
				<input type='button' value='small' class='button' style='width:40px;' onClick=\"addText('note', '[small]', '[/small]');\"><br />
				</td>
				</tr>";
				echo "<tr><td align='center' valign='top' colspan='2' class='tbl1'><input type='submit' align='absmiddle' name='Action' value='".$locale['Cal127']."' class='button'>\n<br>\n<br>\n<a href='".FUSION_SELF.$aidlink."&mod=delete&id=".$id."'>".$locale['Cal126']."</a></td></tr>\n";
			echo "</table>";
			closetable();
			break;
		case "delete":
			$result = dbquery("DELETE FROM ".$db_prefix."events WHERE idx='$id'");
			opentable($locale['Cal116']." - ".$locale['Cal129']);
			echo "<center><br />
				".$locale['Cal123']."<br /><br />
				<a href='".FUSION_SELF.$aidlink."'>".$locale['Cal119']."</a><br /><br />
				<a href='".ADMIN."index.php".$aidlink."'>".$locale['Cal120']."</a><br /><br />
				</center>\n";
			closetable();
			break;
		default:
			opentable($locale['Cal116']);
			//echo "<a href='".FUSION_SELF.$aidlink."'>".$locale['Cal119']."</a>\n</td>\n</tr>\n<tr>\n<td class='main-body' width='100%' align='left' valign='top' >\n";
			$result = dbquery("SELECT * FROM ".$db_prefix."events WHERE event_deleted='NO' ORDER BY event_data DESC, event_orario ASC");
			$rows = dbrows($result);
			echo "<table width='100%' valign='top' cellpadding='1' cellspacing='1' class='tbl-border'>\n";
			echo "<tr><td height='20' align='left' valign='middle' colspan='5' class='tbl2'><b>&laquo;&nbsp;<a href='".FUSION_SELF.$aidlink."&mod=insert'>".$locale['Cal112']."</a></b></td>\n";
			if ($rows != 0) {
				echo "<tr>";
				echo "<td align='center' valign='middle' width='80' class='tbl2'><b>".$locale['Cal113']."</b></td>\n";
				echo "<td align=\"center\" valign=\"middle\" width=\"60\" class='tbl2'><b>".$locale['Cal105']."</b></td>\n";
				echo "<td align=\"center\" valign=\"middle\" class='tbl2'><b>".$locale['Cal106']."</b></td>\n";
								echo "<td align=\"center\" valign=\"middle\" colspan=\"2\" class='tbl2'><b>".$locale['Cal130']."</b></td>\n";
				echo "</tr>";
				while($data = dbarray($result)) {
					$ora = ($data['event_orario']=="00:00:00")?($locale['Cal132']):($data['event_orario']);
					$tempdata = explode("-",$data['event_data']);
					echo "<tr>";
					echo "<td align=\"center\" valign=\"middle\" width=\"80\" class='tbl1'>".$tempdata[2]."/".$tempdata[1]."/".$tempdata[0]."</td>\n";
					echo "<td align=\"center\" valign=\"middle\" width=\"60\" class='tbl1'>".$ora."</td>\n";
					echo "<td align=\"left\" valign=\"middle\" class='tbl1'>".$data['event_titre']."</td>\n";
					echo "<td align=\"center\" valign=\"middle\" class='tbl1' width=\"25\"><a href=\"".FUSION_SELF.$aidlink."&mod=edit&id=".$data['idx']."\">".$locale['Cal125']."</a></td>\n";
					echo "<td align=\"center\" valign=\"middle\" class='tbl1' width=\"25\"><a href=\"".FUSION_SELF.$aidlink."&mod=delete&id=".$data['idx']."\">".$locale['Cal126']."</a></td>\n";
					echo "</tr>";
					}
			}
			echo "</table>";
			closetable();
		}

echo "</td>\n";
echo "<td width='$theme_width_r' valign='top' class='side-border-right'>\n";
include INFUSIONS."event_calendar_panel/event_calendar_panel.php";
echo "</td>\n";
require_once BASEDIR."footer.php";
?>
